Subject: Re: pkgsrc-current supported on 1.3.X?
To: Christoph Badura <>
From: Simon J. Gerraty <>
List: tech-pkg
Date: 09/22/1999 13:52:30
> > So I think the issue is more to do with inconsistencies within the
> > current pkg and the fact that I have a previously installed amanda
> > pkg. 
> You might want to check if it is linking against an old amanda library.

Yes, that is what is happening.  That is the problem.  The pkg is
structured such that it cannot be built if an earlier version is
installed - at least not the version that I have installed.

For a one machine site, this means that upgrading amanda from src is a
very dangerous procedure - not good.

> I've just built it again without old amanda stuff installed and it
> builds just fine on 1.3.2/i386.

Yes it built ok on my 1.4.1/sparc box too, so the problem is the
previously installed pkg on the i386 box.

I suspect that the lossage is due to the pkg split, since if the
entire amanad pkg were done in a single work directory, the build
should not need to link against anything outside of that directory.

Perhaps the amanda-all pkg should be kept that way?  As it is I appear
to end oup with 3 copies of amanda unpacked, patched etc.